##########################################################################
################################# ROOT ###################################
##########################################################################

log4j.rootLogger=INFO, root.Console, root.File

##########################################################################
############################### LOGGERS ##################################
##########################################################################

log4j.logger.Exceptions=ERROR, Exceptions.Console, Exceptions.File
log4j.additivity.Exceptions=false

##########################################################################
############################## APPENDERS #################################
##########################################################################

log4j.appender.root.Console=org.apache.log4j.ConsoleAppender
log4j.appender.root.Console.layout=org.apache.log4j.PatternLayout
log4j.appender.root.Console.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS} %m\r\n

log4j.appender.root.File=org.mati.npc.core.loger.appender.NPCRollingFileAppender
log4j.appender.root.File.file=log/console/launcher-console.log
log4j.appender.root.File.maxFileSize=1024KB
log4j.appender.root.File.maxBackupIndex=10
log4j.appender.root.File.receiveWithCSV=false
log4j.appender.root.File.layout=org.apache.log4j.PatternLayout
log4j.appender.root.File.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS} %m\r\n

log4j.appender.Exceptions.File=org.mati.npc.core.loger.appender.NPCRollingFileAppender
log4j.appender.Exceptions.File.file=log/errors/launcher-errors.log
log4j.appender.Exceptions.File.maxFileSize=1024KB
log4j.appender.Exceptions.File.maxBackupIndex=10
log4j.appender.Exceptions.File.receiveWithCSV=false
log4j.appender.Exceptions.File.layout=org.apache.log4j.PatternLayout
log4j.appender.Exceptions.File.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS} %m\r\n

log4j.appender.Exceptions.Console=org.apache.log4j.ConsoleAppender
log4j.appender.Exceptions.Console.threshold=OFF
log4j.appender.Exceptions.Console.layout=org.apache.log4j.PatternLayout
log4j.appender.Exceptions.Console.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS} %m\r\n
